# dkim_dns_set_query_cancel()

[back to index]

SYNOPSIS

    #include <dkim.h>
    void dkim_dns_set_query_cancel(
    	DKIM_LIB *libopendkim,
            int (*func)(void *, void *)
    );

Declares the function to be used by a libopendkim instance when it needs to cancel a DNS query already in progress. By default, a stub function that does nothing is set, since there is no way to cancel a query in the standard UNIX resolver library.

The function will be passed the following arguments:

1. An opaque DNS service handle as previously specified by a call to `dkim_dns_set_query_service()`
2. A handle for a previously initiated DNS query as returned by the function provided by `dkim_dns_set_query_start()`

The function is expected to return one of the following:

- `DKIM_DNS_SUCCESS` -- query was successfully canceled
- `DKIM_DNS_ERROR` -- an error occurred

DESCRIPTION

Called When | `dkim_dns_set_query_cancel()` can be called at any time, but is presumably most useful prior to doing any DNS operations such as are done during `dkim_eoh()` when verifying.

ARGUMENTS

Argument | Description
--- | ---
libopendkim | The library instantiation handle, returned by `dkim_init()`.
func | A pointer to a function that should be used to cancel DNS queries.

RETURN VALUES

- None.

NOTES

- Asynchronous key lookups can also be accomplished using `dkim_set_key_lookup()`.

Copyright (c) 2007 Sendmail, Inc. and its suppliers. All rights reserved.
Copyright (c) 2011, 2014, The Trusted Domain Project. All rights reserved.
By using this file, you agree to the terms and conditions set forth in the respective licenses.